
.related__inited .related-skeleton,
.is-an-accessory-for__inited .is-an-accessory-for-skeleton,
.for_zip__inited .for_zip-skeleton,
.zip__inited .zip-skeleton,
.similar__inited .similar-skeleton,
.interesting_products__inited .interesting_products-skeleton {
    display: none;
}

.footer-skeleton .round-button,
.is-an-accessory-for-skeleton .round-button,
.for_zip-skeleton .round-button,
.zip-skeleton .round-button,
.similar-skeleton .round-button {
    background-repeat: unset;
    border: none !important;
}

.footer-skeleton {
    padding-bottom: 1px;
}

.footer-skeleton .product-tile {
    width: 100% !important;
}

.footer-skeleton .product-list .product-tile:nth-child(2),
.footer-skeleton .product-list .product-tile:nth-child(3),
.footer-skeleton .product-list .product-tile:nth-child(4),
.footer-skeleton .product-list .product-tile:nth-child(5) {
    display: none !important;
}


@media screen and (min-width: 768px) {
    .footer-skeleton .product-list .product-tile:nth-child(2) {
        display: block !important;
    }
    .footer-skeleton .product-tile {
        width: 50% !important;
    }
}

@media screen and (min-width: 850px) {
    .footer-skeleton .product-list .product-tile:nth-child(3) {
        display: block !important;
    }
    .footer-skeleton .product-tile {
        width: 33% !important;
    }
}

@media screen and (min-width: 1200px) {
    .footer-skeleton .product-list .product-tile:nth-child(4) {
        display: block !important;
    }
    .footer-skeleton .product-tile {
        width: 25% !important;
    }
}

@media screen and (min-width: 1500px) {
    .footer-skeleton .product-list .product-tile:nth-child(5) {
        display: block !important;
    }
    .footer-skeleton .product-tile {
        width: 20% !important;
    }
}

.footer-skeleton .round-button:hover {
    border: none !important;
}

.similar-skeleton {
    box-sizing: border-box;
    padding: 0 0 20px;
    margin-left: 12px;
    margin-right: 6px;
}

@media screen and (max-width: 480px) {
    .similar-skeleton {
        padding: 0 20px 20px;
    }
}

@media screen and (min-width: 481px) {
    .similar-skeleton .product-list__title {
        padding: 24px 0;
    }
}

.related-skeleton .product-tile-small__price,
.interesting_products-skeleton .product-tile-small__price {
    margin-right: 20px;
}

.footer-skeleton .product-list__title {
    display: none;
}

.skeleton-shimmer {
    background: linear-gradient(
            90deg,
            #eff1f3 25%,
            #e2e5e7 50%,
            #eff1f3 75%
    );
    background-size: 200% 100% !important;
    animation: shimmer 1.5s infinite linear;
}

@keyframes shimmer {
    0% { background-position: -200% 0; }
    100% { background-position: 200% 0; }
}
